Google Maps API - comments Google Maps API 2015-09-09T18:18:37Z https://files.spip.org/Plugin-Google-Maps-API#comment483630 2015-09-09T18:18:37Z <p>Cool, content que tu aies troué la source de ton bug :)</p> Google Maps API 2015-09-09T15:25:08Z https://files.spip.org/Plugin-Google-Maps-API#comment483625 2015-09-09T15:25:08Z <p>Je confirme, le bug venait d'un autre plugin (fait maison) qui écrasait le fichier ecrire/inc/filtres.php, désolé pour le bruit.</p> Google Maps API 2015-09-07T12:49:13Z https://files.spip.org/Plugin-Google-Maps-API#comment483582 2015-09-07T12:49:13Z <p>Hop,</p> <blockquote class="spip"> <p>Juste pour ma culture, la syntaxe #INCLURE sans « fond= » permet d'appeler n'importe quel fichier (html, js, etc...) ? (je ne l'avais jamais vu jusque là)</p> </blockquote> <p>Oui c'est bien ça, si on utilise pas fond= cela permet d'inclure des fichiers statiques (pas des squelettes donc).</p> Google Maps API 2015-09-07T12:40:14Z https://files.spip.org/Plugin-Google-Maps-API#comment483580 2015-09-07T12:40:14Z <p>Ok merci d'avoir regardé, l'origine du problème est surement ailleurs, je creuserai à l'occasion.</p> <p>Juste pour ma culture, la syntaxe #INCLURE sans “fond=” permet d'appeler n'importe quel fichier (html, js, etc...) ? (je ne l'avais jamais vu jusque là)</p> Google Maps API 2015-09-05T11:21:43Z https://files.spip.org/Plugin-Google-Maps-API#comment483546 2015-09-05T11:21:43Z <p>Salut, même si ce plugin n'est plus maintenu, je viens de tester avec SPIP 2.1.28 et le plugin geomap à jour, et je vois bien le contenu du script geomap.js si j'appelle la page spip.php?page=geomap.js. Donc, l'inclure fonctionne bien de mon côté.</p> Google Maps API 2015-08-31T10:27:34Z https://files.spip.org/Plugin-Google-Maps-API#comment483474 2015-08-31T10:27:34Z <p>Salut</p> <p>au cas où ça puisse servir à d'autres :<br class="autobr" /> Suite à une mise à jour de spip 2.1.26 vers spip 2.1.28, la carto ne marchait plus.<br class="autobr" /> J'avais un bug javascript de fonction non déclarée, qui venait du geomap.js.html. Dans ce fichier on avait un appel</p> <div class="coloration_code cadre"><div class="spip_spip cadre"><div class="spip"><ol><li class="li1"><div class="de1"><span class="re4">[</span><span class="re4">(</span><span class="re1">#INCLURE</span><span class="re40">{js/geomap.js}</span><span class="re4">)</span><span class="re4">]</span></div></li> </ol></div></div></div> <p>qui ne sortait plus rien.<br class="autobr" /> J'ai donc modifié l'appel pour</p> <div class="coloration_code cadre"><div class="spip_spip cadre"><div class="spip"><ol><li class="li1"><div class="de1"><span class="re4">[</span><span class="re4">(</span><span class="re1">#INCLURE</span><span class="re40">{fond=js/geomap.js}</span><span class="re4">)</span><span class="re4">]</span></div></li> </ol></div></div></div> <p>et renommé le fichier js/geomap.js en js/geomap.js.html</p> Google Maps API 2013-12-12T13:31:31Z https://files.spip.org/Plugin-Google-Maps-API#comment472689 2013-12-12T13:31:31Z <p>Non non, ce plugin peut toujours servir car il permet aussi d'utiliser l'API v3 de gg map (j'en sais quelque chose car j'ai encore de vieux SPIP 2.0 qui l'utilisent sans problème).</p> Google Maps API 2013-11-18T15:46:01Z https://files.spip.org/Plugin-Google-Maps-API#comment472272 2013-11-18T15:46:01Z <p>Google Maps JavaScript API V2 n'étant plus valable, ce plugin devrait être archivé.<br class="autobr" /> Les développements avec Google Maps doivent être effectués avec l'API V3.</p> Google Maps API 2011-11-18T10:56:15Z https://files.spip.org/Plugin-Google-Maps-API#comment451984 2011-11-18T10:56:15Z <p>Bonjour,</p> <p>J'ai un problème bizarre dans l'interface privée : quand je positionne un point pour un article, que je reviens sur l'article et que je déplie la zone 'Changer les coordonnées', le pictogramme est mal positionné sur la carte Google (il se place en haut à gauche de la carte), alors que l'ombre est correctement positionnée.</p> <p>Ce problème n'est pas présent sur tous les postes ni avec tous les navigateurs (IE8 sur mon poste OK, IE8 sur un autre poste NOK, FF3.6 sur mon poste OK, FF8 sur un autre poste NOK, ...).</p> <p>Déjà vu ? Une idée ?</p> <p>SPIP 2.1.11 + Google Map API 0.2.0 + Escoitar GIS 1.0.0</p> <p>Cordialement.</p> Google Maps API 2011-11-13T09:23:17Z https://files.spip.org/Plugin-Google-Maps-API#comment451770 2011-11-13T09:23:17Z <p>Bonjour,</p> <p>J'essaye désespérément depuis 3 jours de faire fonctionner ce plugins mais lorsque je génère la clé et que je la copie/colle dans le formulaire et que je remplis les autres informations, la carte ne s'affiche pas...<br class="autobr" /> Je ne sais plus quoi faire.<br class="autobr" /> Quelqu'un a-t-il une idée ?<br class="autobr" /> Merci de votre aide.</p> Google Maps API 2011-05-25T10:01:07Z https://files.spip.org/Plugin-Google-Maps-API#comment445985 2011-05-25T10:01:07Z <p>Merci !</p> <p>L'idée c'était de faire fonctionner l'API avec le plugin GIS, et il me semblait que ne n'était pas possible avec le plugin cité.</p> Google Maps API 2011-05-25T09:50:34Z https://files.spip.org/Plugin-Google-Maps-API#comment445983 2011-05-25T09:50:34Z <p>Salut, non ce n'est pas prévu dans cette version du plugin car en ce moment je travail sur GIS v2 qui permet de gérer presque toutes API de carto depuis un seul plugin. Par contre il existe déjà un plugin de xdjuj qui te permet de disposer de l'API de google en V3 :</p> <p><a href='https://files.spip.org/Google-Maps-API-v3' class="spip_in" hreflang="fr" rel='nofollow'>Google Maps API v3</a></p> <p>++</p> Google Maps API 2011-05-25T08:41:47Z https://files.spip.org/Plugin-Google-Maps-API#comment445982 2011-05-25T08:41:47Z <p>Bonjour,</p> <p>Est-ce que l'inclusion de l'API Google Maps en V3 est prévue ?</p> <p>Merci pour le travail effectué !</p> Google Maps API 2011-04-04T15:42:54Z https://files.spip.org/Plugin-Google-Maps-API#comment443654 2011-04-04T15:42:54Z <p>Bonjour,</p> <p>J'ai téléchargé les deux plugin de google maps : google api et gips.</p> <p>Pour mes articles, j'ai créé plusieurs champs extra :<br class="autobr" /> Nom lieu, Adresse, Code Postal, Ville</p> <p>Je les appelle tous dans une même div class=“localisation” et ils sont affichés l'un à la suite des autres.</p> <p>Ma question :<br class="autobr" /> comment faire pour que, dans la page article, spip m'affiche la carte coorespondant aux critères contenus dans la balise div class=“localisation” ?</p> <p>Merci pour votre aide !</p> Google Maps API 2011-03-30T08:36:14Z https://files.spip.org/Plugin-Google-Maps-API#comment443365 2011-03-30T08:36:14Z <p>Salut,</p> <p>L'introduction de l'article indique bien :</p> <blockquote class="spip"> <p>Plugin pour l'intégration de Google Maps API dans SPIP</p> </blockquote><blockquote class="spip"> <p>Ne devrait-il pas y avoir une mention sur la page de ce plugin expliquant qu'il n'est pas nécessaire pour l'intégration d'une carte Google dans SPIP ?</p> </blockquote> <p>Non, car ce plugin est bien nécessaire si on souhaite utiliser l'API Google Maps sur son site (voir <a href="http://fr.wikipedia.org/wiki/Interface_de_programmation" class="spip_out" rel='nofollow external'>la définition de ce terme sur wikipedia</a>). En bref ce plugin permet de disposer des scripts nécessaires si on souhaite développer des fonctionnalités basées sur cette API.</p> <p>Par contre, si vous souhaitez uniquement afficher une simple carte non “interfacée” avec le contenu de votre site il existe des solutions plus simples comme l'intégration de carte en copié/collé depuis le site de google maps.</p> <p>Pour résumer, ce plugin est une base technique pouvant être utilisée par d'autres plugins (gis par exemple) ou par des bidouilleurs ou bidouilleuses.</p> <p>++</p> Google Maps API 2011-03-29T15:41:45Z https://files.spip.org/Plugin-Google-Maps-API#comment443345 2011-03-29T15:41:45Z <p>Bonjour,</p> <p>J'ai cherché sur ce site un moyen d'intégrer une simple carte google map dans un article SPIP. J'ai donc installé ce plugin pensant qu'il me permettrait d'y arriver. Après avoir un peu plus cherché, j'ai vu dans les commentaires qu'il n'y avait besoin d'aucun plugin. (apparemment je ne suis pas le seul à avoir confondu Google Map API avec Google Map :p)</p> <p>Ne devrait-il pas y avoir une mention sur la page de ce plugin expliquant qu'il n'est pas nécessaire pour l'intégration d'une carte Google dans SPIP ?<br class="autobr" /> Un gros truc en rouge pour que les noobs ne le loupe pas :)</p> Google Maps API 2011-03-22T10:08:46Z https://files.spip.org/Plugin-Google-Maps-API#comment442970 2011-03-22T10:08:46Z <p>Bonjour</p> <p>L'api V2 est déclaré obsolète depuis de le 19 mai 2010 y a t'il une adaptation de cet excellent plugin vers une api v3</p> <p>j'ai bien noté l'existence d'une contrib V3 depuis quelque mois, mais elle est loin d'etre aussi aboutie que cet excellent plugin , du travail de maitre</p> <p>bravo</p> Google Maps API 2011-03-15T06:43:13Z https://files.spip.org/Plugin-Google-Maps-API#comment442588 2011-03-15T06:43:13Z <p>Bonjour,</p> <p>Personne n'aurait une piste pour me guider dans la définition des marqueurs ?</p> Google Maps API 2011-03-10T11:51:24Z https://files.spip.org/Plugin-Google-Maps-API#comment442359 2011-03-10T11:51:24Z <p>Bonjour</p> <p>J'utilise le plugin sur 2 sites différents. Tout fonctionne correctement.</p> <p>J'ai un besoin spécifique qui consiste depuis le “site A” a récupérer les informations d'un article du “site B”, y compris la carte si elle existe.<br class="manualbr" />J'ai créé un modèle spécifique a cet effet, et je récupère correctement les valeurs associées à l'article du “site B”.<br class="manualbr" />Pour ce faire, j'ai modifié le fichier “inc_public_map.html” avec un test qui va chercher si nécessaire l'url précise <code>jQuery.get('http://siteB/spip.php?page=rss-gis',...</code>.<br class="manualbr" />La carte s'affiche avec le bon facteur de zoom, et centrée correctement sur la zone correspondante, cependant le marqueur ne s'affiche pas.</p> <p>Merci de m'éclairer si possible.</p> Google Maps API 2011-03-10T09:10:24Z https://files.spip.org/Plugin-Google-Maps-API#comment442338 2011-03-10T09:10:24Z <p>Désolé, j'ai oublié de signer le message précédent !</p> Google Maps API 2011-03-10T09:09:16Z https://files.spip.org/Plugin-Google-Maps-API#comment442337 2011-03-10T09:09:16Z <p>Salut, et merci à tous les deux de vous pencher sur mon problème !<br class="manualbr" />Alors, b_b, bingo, tu as raison, sans les coins arrondis de Sarka-SPIP, ça marche sur Explorer !<br class="manualbr" />_Eric_, je te fais passer mon dossier squelettes par mail pour enquête !</p> <p>En attendant, je tourne sous la version “carrée”.</p> <p>Merci à vous.</p> Google Maps API 2011-03-09T16:47:30Z https://files.spip.org/Plugin-Google-Maps-API#comment442300 2011-03-09T16:47:30Z <p>Salut Antho,</p> <p>A priori c'est pas du Sarka-SPIP pur jus d'après la présentation de la page. Peux tu déjà nous envoyer les fichiers modifiés pour que l'on voit si ça vient de là ou pas.</p> Google Maps API 2011-03-09T16:34:32Z https://files.spip.org/Plugin-Google-Maps-API#comment442295 2011-03-09T16:34:32Z <p>Salut, ta page comporte une erreur javascript qui doit bloquer les scripts google maps. L'erreur signalée provient d'un script de coins arrondis (certainement celui de sarkaspip). Désactive cette option dans sarkaspip pour voir si ça règle ton problème (il y a de grandes chances que oui).</p> <p>++</p> Google Maps API 2011-03-08T14:53:08Z https://files.spip.org/Plugin-Google-Maps-API#comment442240 2011-03-08T14:53:08Z <p>Bonjour, et tout d'abord merci pour le plugin !<br class="autobr" /> Voici mon problème : Internet Explorer (version 8 au moins, à vérifier pour les versions plus anciennes) refuse d'afficher les cartes, alors que sur d'autres navigateurs, je ne rencontre pas de souci (Chrome, Safari, Opera ou Firefox).</p> <p>Voilà ma config : <br />- Spip 2.1.8 <br />- Sarka Spip 3 3.0.4 <br />- A2A 0.3 <br />- Agenda 2.1.8 <br />- Boutons dans le texte 0.3.3 <br />- CFG 1.15.2 <br />- Crayons 1.9.3 <br />- Escoitar Gis 0.2 <br />- GoogleMap Api 0.2 <br />- Médiathèque 1.5.0 <br />- Nyroceros 0.2 <br />- Spip Bonux 2.2.10</p> <p>En faisant de multiples recherches (infructueuses...), j'ai fini par désactiver tous les plugins non nécessaires, et il semble que le problème vienne de Sarka, car sans lui, ça marche. Je précise que le problème existait déjà pour Spip 1.9.2 et Sarka 2</p> <p>Vous pouvez voir le problème ici : <a href="http://gorgesdutarn.net/Camping-La-Muse-Gorges-du-Tarn" class="spip_url spip_out" rel='nofollow external'>http://gorgesdutarn.net/Camping-La-...</a>, ou sur n'importe quelle page “hébergements” du site. La carte est tout en bas de l'article.</p> <p>Si quelqu'un a une idée, là, je sèche !</p> <p>Merci.</p> Google Maps API 2011-02-25T12:17:19Z https://files.spip.org/Plugin-Google-Maps-API#comment441625 2011-02-25T12:17:19Z <p>ce n'est pas mieux !<br class="autobr" /> j'ai omis qlq caractères parasites:</p> <p>mais j'ai une ligne de code dans le squelette sommaire.html<br class="autobr" /> MODELE<i>carte_gis</i><i>id_article</i><i>id_rubrique</i><i>id_mot</i><i>id_auteur</i><i>recherche</i><i>latit</i><i>lonxit</i><i>zoom=16</i><i>type=carte</i><i>control=small</i></p> <p>et une autre dans l'article Spécialiste réparations ordinateurs portables <br class="autobr" /> carte_gis1|id_rubrique=1|recherche=1|latit=44.8028|lonxit=-0.646766|zoom=16|type=carte|control=large</p> Google Maps API 2011-02-25T12:12:27Z https://files.spip.org/Plugin-Google-Maps-API#comment441622 2011-02-25T12:12:27Z <p>je te renvoie un document plus lisible !</p> Google Maps API 2011-02-25T12:05:38Z https://files.spip.org/Plugin-Google-Maps-API#comment441619 2011-02-25T12:05:38Z <p>bonjour,<br class="autobr" /> dans sommaire.html c'est vrai j'ai le code suivant :<br class="autobr" /> <br class="autobr" /> <br class="autobr" /> </p> <p class="texte_intro">#TITRE</p> <p><br /></p> <p class="texte_intro_orange">#SOUSTITRE</p> <p class="texte_chapo">#CHAPO</p> <p>#TEXTE</p> <p><br /> [(#MODELE<i>carte_gis</i><i>id_article</i><i>id_rubrique</i><i>id_mot</i><i>id_auteur</i><i>recherche</i><i>latit</i><i>lonxit</i><i>zoom=16</i><i>type=carte</i><i>control=small</i>)]</p> <p> </p> <p>et dans l'article <> j'ai le ligne suivante mais ne s'affiche pas correctement dans mon message :<br class="autobr" /> <tt><carte_gis1|id_rubrique=1|recherche=1|latit=44.8028|lonxit=-0.646766|zoom=16|type=carte|control=large></tt></p> <p>je te joins un complement.png où le code est visible !</p> Google Maps API 2011-02-25T11:16:54Z https://files.spip.org/Plugin-Google-Maps-API#comment441611 2011-02-25T11:16:54Z <p>Salut, je vois deux fois le code qui appelle la carte dans le source de ta page (et les deux cartes comportent le même id du coup ça pose problème). Comment insères-tu la carte dans ta page ? Depuis le texte de l'article ou depuis le squelette ? Quel code utilises-tu pour le faire ?</p> <p>++</p> Google Maps API 2011-02-24T17:55:36Z https://files.spip.org/Plugin-Google-Maps-API#comment441569 2011-02-24T17:55:36Z <p>suite à installation des plugins Google Maps API et Gis escoitar puis configuration via CFG</p> <p>et syntaxe dans un article</p> <p><tt><carte_gis1|id_rubrique=1|recherche=1|latit=44.8028|lonxit=-0.646766|zoom=16|type=carte|control=large></tt></p> <p>affichage de la carte google MAP avec la bonne latitude et longitude mais pas de marqueur correxir.png dans la carte;</p> <p>et pourtant avec VOIR (au lieu de EDIT) on a le bon chemin ==></p> <p>MarkerImgBase = “<a href="http://her.olympe-network.com/spipVierge/plugins/auto/googlemap_api/img_pack/correxir.png" class="spip_url spip_out auto" rel="nofollow external">http://her.olympe-network.com/spipVierge/plugins/auto/googlemap_api/img_pack/correxir.png</a>”;</p> <p>est-ce un problème de type #CHEMIN<i> </i> manquant ?</p> <p>url du site <a href="http://www.atelierdumicroportable.com/" class="spip_url spip_out auto" rel="nofollow external">http://www.atelierdumicroportable.com/</a></p> <p>Cordialement Hervé ESCOFFIER</p> Google Maps API 2010-12-07T11:22:00Z https://files.spip.org/Plugin-Google-Maps-API#comment437883 2010-12-07T11:22:00Z <p>J'ai supprimé</p> <code class="echappe-js"><script type="application/javascript" src="plugins/googlemap_api/js/customControls.js"></script></code> <p>Et ça fonctionne. Merci !</p> Google Maps API 2010-12-06T16:34:13Z https://files.spip.org/Plugin-Google-Maps-API#comment437871 2010-12-06T16:34:13Z <p>Pourtant je vois ça dans ton head :</p> <p><code><script type="application/javascript" src="plugins/googlemap_api/js/customControls.js"></script> </code></p> <p>Ce script ne serait pas là si l'option custom controls est bien désactivée...</p> <p>Tu as aussi une erreur avec :</p> <p><code>$("#map_loader_msg") is null</code></p> <p>Cela semble indiquer tu utilises le paramètre attente du modèle de carte gis. Essaye de désactiver ce paramètre dans ton squelette.</p> <p>++</p> Google Maps API 2010-12-06T16:28:41Z https://files.spip.org/Plugin-Google-Maps-API#comment437870 2010-12-06T16:28:41Z <p>L'option <strong>Désactiver custom_control.js</strong> est déjà cochée</p> Google Maps API 2010-12-06T16:06:13Z https://files.spip.org/Plugin-Google-Maps-API#comment437868 2010-12-06T16:06:13Z <p>Salut, deux erreurs javascript dans ta page, donc ça bloque. Désactive l'option de config custom controls pour commencer.</p> <p>++</p> Google Maps API 2010-12-06T16:03:09Z https://files.spip.org/Plugin-Google-Maps-API#comment437867 2010-12-06T16:03:09Z <p>Depuis quelques jours, alors que je n'ai rien modifié, le marqueur ne s'affiche plus sur la page web. Par contre, il s'affiche correctement dans l'espace privé.<br class="autobr" /> Ex d'une page : <a href="http://www.bourgognedeveloppement.com/Site-La-Clayette-Manitowoc-71-18" class="spip_out" rel='nofollow external'>http://www.bourgognedeveloppement.com/Site-La-Clayette-Manitowoc-71-18</a></p> <p> Merci de votre aide.</p> Google Maps API 2010-11-05T16:22:19Z https://files.spip.org/Plugin-Google-Maps-API#comment436504 2010-11-05T16:22:19Z <p>Bonjour, je viens de passer quelques heure à débuger mon site à cause d'un problème similaire.<br class="autobr" /> Avec spip liste, lorsque je voulais créer un nouveau courrier.</p> <p>Le plugin googlemap bloqué le statut de la page dans le DOM.</p> <p>Spip liste attendant que le Dom soit chargé avec un jQuery(document).ready</p> <p>La désactivation du custom_control.js à régler le problème.</p> <p>Si cela peut aider quelqu'un avec le même probléme.</p> Google Maps API 2010-10-28T20:47:26Z https://files.spip.org/Plugin-Google-Maps-API#comment436221 2010-10-28T20:47:26Z <p>résolu en configurant le proxy dans les fonctionnalités avancées de la config spip du site de dev.</p> Google Maps API 2010-10-28T18:54:36Z https://files.spip.org/Plugin-Google-Maps-API#comment436216 2010-10-28T18:54:36Z <p>Le problème semble lié au proxy HTTP qui protège mon réseau local de dev. Si j'inactive le proxy (cnx directe entre mon pc et l'extérieur) plus de problème. J'ai réalisé que j'avais ajouté une règle de filtrage plus stricte juste avant que le problème n'apparaisse.</p> Google Maps API 2010-10-28T18:32:36Z https://files.spip.org/Plugin-Google-Maps-API#comment436214 2010-10-28T18:32:36Z <p>Mon site est en production chez OVH. La version N+1 en dev tourne sur mon PC sous WAP2.</p> <p>Jusqu'à il y a deux jours, tout marchait bien. Du jour au lendemain, j'ai perdu l'accès à la partie privé de mon site de dev (affichage d'un page blanche après la page de login).</p> <p>Après plusieurs heures de recherche du pourquoi, j'ai trouvé le fautif : plugin googlemap api.<br class="autobr" /> Quand je le désactive tout est OK. Si j'essaye de le réactiver, je ne récupère même pas la main. plus précisément c'est la saisie de la clef qui pose problème : si je l'efface de spip_meta, je peuxc activer le login et accéder à la page de configuration du plugin, mais dès que je saisie une clef, je perds la main sur la partie privée.</p> <p>Comme tout était toujours OK sur le site de production, je l'ai utilisé pour tenter de remettre d'équerre mon site de dev, (réinstallation de spip, récupération des squelettes, de la base....).</p> <p>mais le problème persiste en dev, j'y perds mon latin....</p> <p>une idée pour me sortir du trou ?</p> Google Maps API 2010-10-08T14:50:40Z https://files.spip.org/Plugin-Google-Maps-API#comment435483 2010-10-08T14:50:40Z <p>j'etait avec le SPIP 2.1.2 merci</p> Google Maps API 2010-10-08T14:47:28Z https://files.spip.org/Plugin-Google-Maps-API#comment435482 2010-10-08T14:47:28Z <p>J'ai trouve la solution jai vu la table spip_meta (champ geomap) de la base de donnes dans laquelle la cle google etait mal copiee.</p> <p>J´ai efacee et jai copié directement la cle google et tout marche.</p> <p>Il parait qu´il y a un probleme quand on enregistre la clee google a la base spip.</p> <p>merci <br class="autobr" /> Miguel</p> Google Maps API 2010-10-08T14:32:16Z https://files.spip.org/Plugin-Google-Maps-API#comment435480 2010-10-08T14:32:16Z <p>La version 2.0.10 n'est pas la dernière version stable de la branche 2.0.x. Faites une mise à jour vers la 2.0.12 et ça devrait régler votre problème avec les pages de configuration.</p> <p><a href="http://www.spip.net/fr_article4449.html" class="spip_url spip_out auto" rel="nofollow external">http://www.spip.net/fr_article4449.html</a></p> <p>++</p> Google Maps API 2010-10-08T14:27:45Z https://files.spip.org/Plugin-Google-Maps-API#comment435479 2010-10-08T14:27:45Z <p>J'ai le meme problemme et je ne sais pas comme avoir une solution <br class="autobr" /> ¿Aucune idee? Merci<br class="autobr" /> Miguel</p> Google Maps API 2010-08-24T12:54:01Z https://files.spip.org/Plugin-Google-Maps-API#comment433599 2010-08-24T12:54:01Z <p>Je me réponds à moi-même : nous envisageons de réinitialiser la base de données, principal suspect dans cette affaire : si ça ne marche pas je poste de nouveau ici.<br class="autobr" /> Salutation</p> Google Maps API 2010-08-11T18:20:24Z https://files.spip.org/Plugin-Google-Maps-API#comment433210 2010-08-11T18:20:24Z <p>Bonjour,</p> <p>j'ai installé GIS et Google Map API sur 2 sites SPIP :<br class="autobr" /> <a href="http://bferchaud.phpnet.org/aufildelaseine/" class="spip_url spip_out auto" rel="nofollow external">http://bferchaud.phpnet.org/aufildelaseine/</a><br class="autobr" /> <a href="http://www.atravers.org/d2cp_gis/" class="spip_url spip_out auto" rel="nofollow external">http://www.atravers.org/d2cp_gis/</a></p> <p>A priori les 2 installations sont identiques, sous SPIP 2.0.10, toutefois sur la 2e impossible d'avoir une clé Google qui fonctionne, et malgré une réinstallation complète, rien ne change.<br class="autobr" /> Peut-être avez-vous une idée de ce qui ne marche pas ?<br class="autobr" /> 2 messages d'erreur : <br />- indiquant que je dois générer une nouvelle clé Google Map <br />- indiquant que Google Map n'est pas compatiblé avec mon navigateur</p> <p>En outre, ce qui explique certainement ce 2e message, même si je sélectionne la version 'stable' de l'API, le bouton coché après validation reste le même. Toutefois, en bas dans CFG, les infos [+ geomap] sont les bonnes, mais on dirait que rien n'est au final pris en compte…</p> <p>J'espère que je me suis exprimé clairement et que vous pourrez me répondre.</p> <p>Bien amicalement</p> Google Maps API 2010-08-11T12:24:08Z https://files.spip.org/Plugin-Google-Maps-API#comment433202 2010-08-11T12:24:08Z <p>Effectivement, tout rentre dans l'ordre. Merci.</p> Google Maps API 2010-08-11T12:16:40Z https://files.spip.org/Plugin-Google-Maps-API#comment433200 2010-08-11T12:16:40Z <p>Ok je vois d'où ça vient. Dans la conf du plugin coche la case Désactiver custom_control.js et tout devrait rentrer dans l'ordre. Cette option du plugin date un peu et comme je ne l'utilise jamais je n'ai pas trop regardé pour la débuguer...</p> <p>++</p> Google Maps API 2010-08-11T12:11:16Z https://files.spip.org/Plugin-Google-Maps-API#comment433199 2010-08-11T12:11:16Z <p>Hello,</p> <p>Merci de ta réponse. Le plugin est bien configuré et j'utilise sans soucis ses fonctionnalités. Comme tu me l'a dit, j'ai cherché un peu plus du côté des erreurs javascript et visiblement, ce bug est le fruit d'une incompatibilité avec le plugin Fancybox.</p> <p>Firebug m'indique les deux erreurs suivantes: <br />- <samp>GControl is not defined pour mapTypeControl.prototype=new GControl(); </samp> <br />- <samp>$(“a[type='image/jpeg'],a[type='image/png'],a[type='image/gif']”, this).addClass(“fancybox”).attr(“onclick”, “”).fancybox is not a function</samp></p> <p>Ceci n'arrive que quand <strong>Fancybox ET Google Maps API sont activés ensemble</strong>. Séparément, aucun soucis.</p> Google Maps API 2010-08-11T09:21:24Z https://files.spip.org/Plugin-Google-Maps-API#comment433192 2010-08-11T09:21:24Z <p>Salut,</p> <p>Le bouton enregistrer est affiché par un script. Donc s'il ne s'affiche pas c'est que tu as une erreur javascript dans la page qui bloque le script d'affichage du bouton. L'erreur en question ne vient peut être pas de google maps api, pour la tracer tu peux utiliser firebug... Poste l'erreur en question ici pour qu'on puisse t'aider.</p> <p>As-tu bien configuré le plugin google maps api ?</p> <p>++</p> Google Maps API 2010-08-05T10:16:50Z https://files.spip.org/Plugin-Google-Maps-API#comment433087 2010-08-05T10:16:50Z <p>Sous 2.1.1, quand le plugin est activé, j'ai constaté un bug assez gênant: dans la configuration des plugins de l'espace privé, dans la partie “liste des plugins”, le bouton “enregistrer” n'apparaît plus quand on coche ou décoche une case, ce qui ne permet donc pas d'ajouter ou de retirer un plugin.</p> <p>Dès que Google Maps API est désactivé (via “désinstaller” puisqu'il n'y a pas d'autre choix), le bouton réapparait à nouveau.</p> Google Maps API 2010-07-31T07:54:11Z https://files.spip.org/Plugin-Google-Maps-API#comment432921 2010-07-31T07:54:11Z <p>Salut, et merci pour le commentaire. Les choses dont tu parles sont prévues pour la V2 du couple de plugin googla maps api + gis. Par contre je ne sais pas encore quand on sortira cette v2 ;)</p> <p>++</p> Google Maps API 2010-07-31T00:54:45Z https://files.spip.org/Plugin-Google-Maps-API#comment432918 2010-07-31T00:54:45Z <p>Chouette plugin !<br class="autobr" /> Juste pour info (ne le prenez pas mal svp) : depuis quelque temps (<a href="http://googlegeodevelopers.blogspot.com/2009/05/announcing-google-maps-api-v3.html" class="spip_out" rel='nofollow external'>mai 2009</a>), <a href="http://code.google.com/apis/maps/documentation/javascript/" class="spip_out" rel='nofollow external'>la V3 de l'API Google Maps</a> ne nécessite plus de clé, est plus facile et plus rapide que la V2, cette dernière étant <a href="http://code.google.com/intl/fr/apis/maps/documentation/javascript/v2/reference.html" class="spip_out" rel='nofollow external'>déclaré “depreciated” par Google</a>.<br class="autobr" /> Ça serait bien d'adapter ce plugin à cette nouvelle mouture..<br class="autobr" /> Je pense que vous vous prendrez moins la tête avec la V3.<br class="autobr" /> Idée : y mettre la possibilité de placer point(s) et descriptif depuis l'admin.</p> Google Maps API 2010-06-28T10:49:31Z https://files.spip.org/Plugin-Google-Maps-API#comment432126 2010-06-28T10:49:31Z <p>Salut,</p> <blockquote class="spip"> <p>sans rien modifier au site, depuis deux semaines j'ai droit à des messages d'erreur</p> </blockquote> <p>Rien du tout tu est certain ? Même pas un changement de nom de domaine par exemple ?</p> <p>Une clé est attachée à un domaine et il faut en regénérer une nouvelle s'il y a changement de ce côté. Essaye de voir si c'est bien la bonne clé qui est stockée dans la table spip_meta de ta base, il y a peut être eu un problème lors de l'enregistrement de ta “nouvelle” clé.</p> <p>++</p> Google Maps API 2010-06-28T07:50:18Z https://files.spip.org/Plugin-Google-Maps-API#comment432112 2010-06-28T07:50:18Z <p>Bonjour,</p> <p>très bon plugin au demeurant, mais j'ai un soucis avec.</p> <p>Il fonctionnait parfaitement sur un site en prod, et, sans rien modifier au site, depuis deux semaines j'ai droit à des messages d'erreur “Ce site Web nécessite une autre clé d'API Google Maps. Une nouvelle clé peut être générée à l'adresse suivante : <a href="http://code.google.com/apis/maps/" class="spip_url spip_out auto" rel="nofollow external">http://code.google.com/apis/maps/</a>.” suivi de “désolé cette API GoogleMap n'est pas compatible avec votre navigateur.” et bien sûr plus aucune carte ne s'affiche...</p> <p>J'ai testé plusieurs navigateurs, regénéré une nouvelle clé, vidé le cache : toujours les mêmes messages....</p> <p>HELP :P</p> Plugin Google Maps API 2010-04-04T16:50:39Z https://files.spip.org/Plugin-Google-Maps-API#comment428659 2010-04-04T16:50:39Z <p>Bonjour,</p> <p>sorry but my french is to bad to write, so I'm writing in english.<br class="autobr" /> I have a small problem with the function zoomIci, it only works well, when the map is already zoomed.</p> <p>You can see the problem at <a href="http://beta.spielmobilkongress.de/veranstaltungsorte-4/" class="spip_url spip_out auto" rel="nofollow external">http://beta.spielmobilkongress.de/veranstaltungsorte-4/</a><br class="autobr" /> The link for the script are “Auf der Karte zoomen” the first time you use it it doesn't go to the right position, afterwards it works.</p> Plugin Google Maps API 2010-03-30T11:48:33Z https://files.spip.org/Plugin-Google-Maps-API#comment428425 2010-03-30T11:48:33Z <p>J'ai essayé en téléchargeant proprement la version SVN sur SPIP-Zone et j'ai le même problème. Personne n'a d'infos, SVP ?</p> <p>A +</p> Plugin Google Maps API 2010-03-30T08:00:52Z https://files.spip.org/Plugin-Google-Maps-API#comment428407 2010-03-30T08:00:52Z <p>Bonjour,</p> <p>Oui tu as bien fait d'utiliser un simple bout de code à insérer dans ta page pour ton besoin (qui est assez simple). Ce plugin permet de disposer de l'API google maps sur son site pour deux cas de figure :</p> <ul class="spip"><li> utilisation en complément du plugin GIS</li><li> développement de cartes et fonctionnalités personnalisées en se basant sur l'API google maps.</li></ul> <p>En bref, pas besoin de ce plugin pour afficher une unique carte sur un site, comme disent les anciens par ici : “on a pas besoin d'un semi-remorque pour aller chercher un kilo de patates au marché” ^^</p> <p>++</p> Plugin Google Maps API 2010-03-30T06:53:23Z https://files.spip.org/Plugin-Google-Maps-API#comment428400 2010-03-30T06:53:23Z <p>Bonjour</p> <p>Souhaitant juste avoir la carte google maps pour situer le local d'une association,<br class="autobr" /> j'ai tenté d'installer ce plugin (je suis débutante++) et dès l'activation du plugin j'avais un message d'erreur concernant le fichier php “geomap_pipeline.php” ... du coup j'ai tout désinstallé et j'ai trouvé une solution bcp plus simple avec les outils de google.<br class="autobr" /> A partir du site “google search API”, on saisit l'url de son site, google génère le code,<br class="autobr" /> puis il suffit juste de le copier et de le coller dans une page de son site (en ajoutant les balises début-fin de HTML et en modifiant l'adresse en dur du code)<br class="autobr" /> voilà et ça marche super !<br class="autobr" /> A+</p> Plugin Google Maps API 2010-03-27T16:00:10Z https://files.spip.org/Plugin-Google-Maps-API#comment428285 2010-03-27T16:00:10Z <p>Salut,</p> <p>Je ne cherche pas à spammer mais ma demande concerne l'interface entre “<i>Forms&Tables 1.9.1</i>” et “<i>Google Maps API</i>” à travers Geoforms qui est cité dans cette page et, de ce fait, titille notre curiosité, voire nous émoustille d'avance...</p> <p>Je cherche à faire apparaitre sur une carte Google les enregistrements d'une table sous SPIP 1.9.2 avec “<i>Forms&Tables 1.9.1</i>”, “<i>Google Map API</i>” et “<i>GIS</i>”. L'ensemble fonctionne. J'ai voulu tester le plugin “<i>Geoforms</i>”. J'ai eu du al à le trouver donc j'ai récupéré un par un les fichiers sur SPIP Zone. Après l'avoir activé, lorsque je souhaite le configurer grâce à l'cône apparue dans dans le menu “configuration” de SPIP, j'obtiens “Fichier inc/geomap_config introuvable”. Y a-t-il un endroit où trouver une version plus récente ? A-t-il été “remplacé” par un autre plugin (y en a-t-il un qui me permettrait de faire ce que je veux : “faire apparaitre sur une carte Google les enregistrements d'une table” ?</p> <p>Merci à vous</p> Plugin Google Maps API 2010-03-25T23:54:27Z https://files.spip.org/Plugin-Google-Maps-API#comment428216 2010-03-25T23:54:27Z <p>Bonjour,</p> <p>j'ai aussi le même problème après déménagement d'un site de local à distant.</p> <p>J'ai essayé plusieurs manip (effacement de la table, cache..) sans succès ce qui est bizarre car le site déménagé est un sous répertoire d'un autre site site existant pour lequel je n'ai eu aucun problème à générer une clef... mais elle ne fonctionne que pour le site “racine” et pas le site “fils”.</p> Plugin Google Maps API 2010-03-24T15:38:55Z https://files.spip.org/Plugin-Google-Maps-API#comment428141 2010-03-24T15:38:55Z <p>C'est la premier chose que j'ai tentée mais Google “semble” attribuer et ce quelques soit le demandeur toujours la même clé pour un même nom de domaine ce qui semble normal au demeurant. Merci tout de même pour votre réponse et pour ce super pluggin qui fonctionne comme je l'ai déjà dit tres bien par ailleurs</p> Plugin Google Maps API 2010-03-24T12:53:54Z https://files.spip.org/Plugin-Google-Maps-API#comment428130 2010-03-24T12:53:54Z <p>Il ta faut générer une nouvelle clef api chez google en donnant la nouvelle adresse du nouveau site si tu as changé d'hébergeur.. enfin je suppose, je ne vois que ça.</p> Plugin Google Maps API 2010-03-22T19:45:47Z https://files.spip.org/Plugin-Google-Maps-API#comment428030 2010-03-22T19:45:47Z <p>Bonjour</p> <p>j'ai changé d'hébergeur en recopiant la totalité des fichiers et base de donnée et depuis j'ai désespérément le message suivant quand je met la cle API de google. Cela fonctionnait super bien auparavant</p> <p>“Ce site Web nécessite une autre clé d'API Google Maps. Une nouvelle clé peut être générée à l'adresse suivante : <a href="http://code.google.com/apis/maps/" class="spip_url spip_out auto" rel="nofollow external">http://code.google.com/apis/maps/</a>.”</p> <p>Quelqu'un a-til une idée Merci</p> Plugin Google Maps API + urls propres ? 2010-02-02T21:56:01Z https://files.spip.org/Plugin-Google-Maps-API#comment425975 2010-02-02T21:56:01Z <p>Effectivement. Je n'avais pas les dernières versions des plugins. Une petite mise à jour et tout fonctionne impec ! Bien vu.</p> Plugin Google Maps API + urls propres ? 2010-02-02T14:54:03Z https://files.spip.org/Plugin-Google-Maps-API#comment425964 2010-02-02T14:54:03Z <p>Salut,</p> <blockquote class="spip"> <p>Je me suis aperçu que c'est le fait d'utiliser les urls propres qui empêche le fonctionnement de ces liens !</p> </blockquote> <p>Avec le code par défaut du plugin il faut que je vérifie mais, je t'assure que c'est possible avec les urls propres de faire fonctionner cette fonction. La preuve sur le site suivant :</p> <p><a href="http://www.reperes-brest.net/+-Acceder-aux-droits-+.html" class="spip_url spip_out auto" rel="nofollow external">http://www.reperes-brest.net/+-Acceder-aux-droits-+.html</a></p> <p>++</p> Plugin Google Maps API + urls propres ? 2010-02-02T14:26:40Z https://files.spip.org/Plugin-Google-Maps-API#comment425962 2010-02-02T14:26:40Z <p>Merci pour ce plugin génial</p> <p>Je me suis longtemps arraché les cheveux : j'utilise sur plusieurs sites la fonction abrirVentana qui permet d'activer la bulle de la carte à partir d'un lien. Le même code fonctionnait sur un site et pas sur un autre. C'était un grand mystère jusqu'à ce jour.</p> <p>Je me suis aperçu que c'est le fait d'utiliser les urls propres qui empêche le fonctionnement de ces liens !</p> <p>Quelqu'un aurait-il une idée pour résoudre le problème ?</p> <p>merci</p> Plugin Google Maps API et probleme d'affichage sous IE7 2009-10-30T09:15:50Z https://files.spip.org/Plugin-Google-Maps-API#comment422316 2009-10-30T09:15:50Z <p>Bonjour</p> <p>j'ai installe le plugin google Map Api sous spip 2.09 en local sa marche sous firefox, chrome et netscape par contre j'ai rien qui s'affiche dans la partie publique sous IE7.</p> <p>dans la partie privé le carte s'affiche sous IE7.</p> <p>et Merci d'avance</p> Plugin Google Maps API et problème de javascript 2009-07-13T12:24:40Z https://files.spip.org/Plugin-Google-Maps-API#comment418220 2009-07-13T12:24:40Z <p>Oui c'est un bug de la version 1.3 de firebug. Normalement cela a été corrigé dans la version 1.4 disponible depuis getfirebug.com.</p> <p>Merci pour l'info qui pourra être utile à d'autres personnes.</p> Plugin Google Maps API et problème de javascript 2009-07-13T12:20:36Z https://files.spip.org/Plugin-Google-Maps-API#comment418219 2009-07-13T12:20:36Z <p>Bonjour</p> <p>Une info qui pourra peut être servir... Depuis 3 jours je n'arrivais plus à aller sur des pages de mon site contenant des cartes Google Maps, ni dans l'espace privé (chargement sans fin de gg.google.com) avec Firefox.<br class="autobr" /> J'utilise Firebug... il faut désactiver la prise en charge du débogage du JavaScript dans la console... c'était ça qui mettait le souk !!!</p> pas de carte visible dans l'espace privé 2009-07-09T09:18:30Z https://files.spip.org/Plugin-Google-Maps-API#comment418120 2009-07-09T09:18:30Z <p>Bonjour,</p> <p>Je suis sous spip 1.9.2h, j'ai installé le plugin cgf et le plugin google maps API comme indiqué. <br class="autobr" /> Dans l'interface privée, j'arrive à configurer le plugin google maps grâce à cfg.</p> <p>Cependant, une fois que j'ai récupéré une clé API et que je la copie-colle dans le champ de l'espace privé, je suis renvoyé sur la même page que celle que vous avez mis en imprim écran sauf que, pour ma part, la carte ne s'affiche pas. L'espace prévu pour la carte reste vide.</p> <p>et si je tape une recherche dans la barre de recherche, rien ne se passe.</p> <p>J'ai essayé de désinstaller les plugins puis de les réinstaller mais rien n'y fait.</p> <p>Quelqu'un aurait-il une idée sur le problème ?</p> <p>Merci d'avance,</p> Plugin Google Maps API 2009-07-05T20:24:10Z https://files.spip.org/Plugin-Google-Maps-API#comment417983 2009-07-05T20:24:10Z <p>Bonjour,</p> <p>Merci pour ta réponse. Et justement suite à notre discussion, j'ai regardé la doc sur la page de Google Maps API. Et j'ai vu le Geocoder soit ici : <br class="manualbr" /><a href="http://code.google.com/intl/fr/apis/maps/documentation/services.html" class="spip_out" rel='nofollow external'>http://code.google.com/intl/fr/apis/maps/documentation/services.html</a><br class="manualbr" />et ici pour l'exemple : <a href="http://gmaps-samples.googlecode.com/svn/trunk/geocoder/delayed.html" class="spip_out" rel='nofollow external'>http://gmaps-samples.googlecode.com/svn/trunk/geocoder/delayed.html</a>.</p> <p>Cela dit, je ne sais pas comment est passé les paramètres à mon modèle. Est-ce que dans le javascript passé dans le insert_head, Geocoder est ajouté?</p> Plugin Google Maps API 2009-07-05T19:33:08Z https://files.spip.org/Plugin-Google-Maps-API#comment417982 2009-07-05T19:33:08Z <p>Salut Teddy,</p> <p>Comme je te le disais lors de notre rencontre au SPIP Apéro parisien, tu pourrais tenter d'automatiser cette recherche d'adresse. Pour cela il faut regarder du côté de ce fichier :</p> <p><a href="http://trac.rezo.net/trac/spip-zone/browser/_plugins_/googlemap_api/inc/geomap_append_clicable_map.php#L72" class="spip_url spip_out auto" rel="nofollow external">http://trac.rezo.net/trac/spip-zone/browser/_plugins_/googlemap_api/inc/geomap_append_clicable_map.php#L72</a></p> <p>C'est à cet endroit que la recherche d'adresse est traitée dans le plugin googlemap_api. Une petite recherche sur le net avec les termes “googlemap api geocoder php” donne entre autres le résultat suivant :</p> <p><a href="http://code.google.com/support/bin/answer.py?answer=80200&topic=11364" class="spip_url spip_out auto" rel="nofollow external">http://code.google.com/support/bin/answer.py?answer=80200&topic=11364</a></p> <p>Bon courage ++</p> Plugin Google Maps API 2009-07-05T18:47:58Z https://files.spip.org/Plugin-Google-Maps-API#comment417980 2009-07-05T18:47:58Z <p>Bonjour,</p> <p>Dans le cadre d'un agenda (plugin agenda 2), je voudrai ajouter l'adresse donnée par mon id_evenenement. De ce fait, je me demande s'il est possible de passer l'adresse en paramètre de la carte. Qu'en est-il?</p> Plugin Google Maps API 2009-07-01T16:12:44Z https://files.spip.org/Plugin-Google-Maps-API#comment417849 2009-07-01T16:12:44Z <p>Bonjour,</p> <p>cela fait quelques temps j'avais posé quelques questions pour ce qui est de l'affichage des cartes sous IE7 dans la partie privée. Les dernières mises à jour des plugins Google maps API et GIS ont fait leur office et maintenant cela marche pour le backoffice de SPIP. Par contre j'ai toujours un soucis pour la partie publique. La ou Firefox et Safari fonctionne parfaitement bien, IE7 me laisse la carte en gris avec juste la mention Google. J'ai activé le debugger de IE et il me donne le message suivant :</p> <p>“A Runtime Error has Occured.<br class="autobr" /> Do you wish to Debug?</p> <p>Line 169<br class="autobr" /> Error: 'mapTypeControl' is undefined”</p> <p>pourtant je retrouve bien la fonction et la du coup je ne comprend pas. Y-a-t-il quelqu'un qui a résolu ce problème ? j'ai cherché en vain dans les forum mais je n'ai rien trouvé à ce sujet. Je vois pourtant des cartes qui fonctionne parfaitement sous IE.</p> <p>Si vous voulez voir le soucis c'est par ici : <a href="http://billy.samarkande.com/spip.php?rubrique=2" class="spip_url spip_out auto" rel="nofollow external">http://billy.samarkande.com/spip.php?rubrique=2</a></p> <p>Merci d'avance</p> Plugin Google Maps API : impossible de changer la clé ... 2009-06-13T12:05:29Z https://files.spip.org/Plugin-Google-Maps-API#comment417334 2009-06-13T12:05:29Z <p>Salut,</p> <p>j'ai eu un peu le même problème que toi, à la différence près que moi dans mon DOM des mes pages mes elements liés à google map contenant l'url qui contient la key étaient bien à jour avec la nouvelle clé.</p> <p>Mais après 10 bonnes heures de recherche, je me suis aperçus que l'adresse rentrée dans page d'acquisition de api key sur le site de google et l'adresse rentrée dans la configuration du site spip (dans la partie où on renseigne le nom du site, sa description etc...) n'étaient pas identique. En effet, je n'avais pas mis les “http://” dans la configuration de spip ! <br class="autobr" /> Et juste ces http:// devait provoquer une incohérence quelque part et faisait tout planter... Ou alors peut etre bien que le problème venait d'ailleur, mais en tout cas, de rajouter les “http://” devant l'adresse a résolu tous mes soucis.</p> <p>En espérant que ça puisse aider ;). Bon spipage</p> Plugin Google Maps API : impossible de changer la clé ... 2009-05-27T06:53:41Z https://files.spip.org/Plugin-Google-Maps-API#comment416738 2009-05-27T06:53:41Z <p>Bonjour à tous,<br class="autobr" /> J'ai basculé un site d'une adresse à une autre.<br class="autobr" /> Bien sur, la clé n'étant valable que pour une adresse spécifique, GoogleMaps a immédiatement hurlé en disant qu'il fallait une nouvelle clé.<br class="autobr" /> J'ai donc généré une nouvelle clé valide pour le nouveau domaine.<br class="autobr" /> Sauf que, bien que j'ai renseigné la nouvelle clé, cela ne fonctionne pas.<br class="autobr" /> Dans le corps de la page générée par SPIP (zone publique), c'ets toujours l'ancienne clé qui apparait.<br class="autobr" /> Bien sur j'ai vidé les caches de Spip et de mon navigateur ...<br class="autobr" /> J'ai même été directement farfouillé dans la base de spip (table spip_meta) pour trouver l'enregistrement de la clé qui semble bien valide (c'est bien la nouvelle clé dans la base de données).<br class="autobr" /> J'ai supprimé tout le répertoire local et tout le répertoire local, désactivé les plugins, réactiver ...<br class="autobr" /> Rien n'y fait, les pages sont toujours générées avec l'ancienne clé qui doit donc être stockée (enfin je suppose) ailleurs que dans la base de données.<br class="autobr" /> Des idées ?<br class="autobr" /> Merci d'avance à tous<br class="autobr" /> Arioch</p> Plugin Google Maps API 2009-04-08T19:44:53Z https://files.spip.org/Plugin-Google-Maps-API#comment415202 2009-04-08T19:44:53Z <p>Est-ce qu'on a le droit de faire des bisous ou pas ? °_°</p> Plugin Google Maps API 2009-03-29T09:29:26Z https://files.spip.org/Plugin-Google-Maps-API#comment414879 2009-03-29T09:29:26Z <p>Bonjour à tous<br class="autobr" /> J'ai une bizarrerie sur un site qui fonctionnait très bien jusqu'à maintenant mais uniquement dans la zone d'administration.<br class="autobr" /> Quand je déplie la carte dans un article, j'ai, à la place de la carte un message “Désolé, aucune carte de cette région n'est disponible à cette échelle, veuillez essayer un zoom arrière”. Quand je passe en mode SATELLITE, cela s'affiche bien ainsi qu'en mode MIXTE (sauf qu'en mode mixte, je n'ai que la partie SATELLITE active).<br class="autobr" /> Et ce qu'il y a d'encore plus étonnant, c'est que dans la partie publique, cela fonctionne normalement.<br class="autobr" /> La partie publique est du javascript en suivant les tutoriaux de Google. Je suis en version SPIP 2.0.3 et version 0.2 / 25522 du plug ESCOTAR GIS PLUGINS et en version 0.2 / 25856 du plug Googlemaps API.<br class="autobr" /> J'avoue ne pas franchement comprendre ce qui se passe.<br class="autobr" /> Une idée ?</p> Catala 2009-03-25T11:45:32Z https://files.spip.org/Plugin-Google-Maps-API#comment414727 2009-03-25T11:45:32Z <p>Bonjour,<br class="autobr" /> On travaille depuis longtemp avec success mais on a eu un problemme quand on utilise articles avec langue Catala. A ce moment on arrive pas a avoir aucune article sur la carte.<br class="autobr" /> Si on change la lange de cet article tout marche. Si on change au catalan ninporte quel article linfo disparait du map. ¿aucune idée?<br class="autobr" /> Merci,</p> <p>Hola, <br class="autobr" /> Hemos utilizado este plugin sin problemas hasta que alguien creo un article y le puso como lengua el Català, en ese momento no aparecen los elementos en el mapa. Hemos probado con otros idiomas y no pasa, solo con el catalan. Si cambio un solo articulo a esta lengua desaparecen todos del mapa. ¿alguna idea de porqué pasa esto?</p> <p>Miguel Pérez Subías<br class="autobr" /> <a href="http://www.diadeinternet.org" class="spip_url spip_out auto" rel="nofollow external">www.diadeinternet.org</a></p> Plugin Geoforms 2009-03-19T16:56:39Z https://files.spip.org/Plugin-Google-Maps-API#comment414576 2009-03-19T16:56:39Z <p>Bonjour,<br class="autobr" /> Où peut-on trouver le plugin “Geoforms” ?<br class="autobr" /> Quelles sont les fonctionnalités possibles avec ce plugin Google Maps API ?<br class="autobr" /> Merci pour votre réponse.</p> Plugin Google Maps API 2009-03-10T11:14:57Z https://files.spip.org/Plugin-Google-Maps-API#comment414307 2009-03-10T11:14:57Z <p>Bonjour,</p> <blockquote class="spip"> <p>de plus il va m'être difficile de te donner une URL car c'est un site en dev... :(</p> </blockquote> <p>Il n'y a pas à avoir honte de montrer un site de dev. Je ne vois pas qu'est-ce qui pourrait t'en empêcher... De plus il va m'être difficile de t'aider sans avoir la page en question sous les yeux. Le code source ne me suffira pas pour trouver les éventuelles erreurs JS.</p> <p>++</p> Plugin Google Maps API 2009-03-10T10:40:01Z https://files.spip.org/Plugin-Google-Maps-API#comment414305 2009-03-10T10:40:01Z <p>alors le numéro de revision de google map<br class="autobr" /> Version : 0.2 [27036]</p> <p>maintenant ça remarche</p> <p>je vois bien ma carte dans l'espace privée mais sur le site rien ne s'affiche</p> <p>voici l'appel de ma carte</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code>[(#MODELE{carte_gis}{id_article}{id_rubrique=2}{id_mot}{id_auteur} {recherche}{latit}{lonxit}{zoom=17}{type=carte}{control=small})]</code></pre></div> <p>de plus il va m'être difficile de te donner une URL car c'est un site en dev... :(</p> Plugin Google Maps API 2009-03-10T09:51:16Z https://files.spip.org/Plugin-Google-Maps-API#comment414304 2009-03-10T09:51:16Z <p>Bonjour,</p> <p>Gis est bien à jour par contre je n'ai pas le n° de révision de ton Google Maps API (rev 27036 pour être à jour).</p> <p>Quelle est l'adresse de ton site ? J'espère que tu ne travaille pas en local car le plugin googlemaps api ne fonctionne pas sur une adresse de type localhost...</p> <p>++</p> Plugin Google Maps API 2009-03-10T09:44:56Z https://files.spip.org/Plugin-Google-Maps-API#comment414303 2009-03-10T09:44:56Z <p>ah ba maintenant il marche plus<br class="autobr" /> j'ai juste un encadré bleu et pas de plan.... :(</p> Plugin Google Maps API 2009-03-10T08:36:10Z https://files.spip.org/Plugin-Google-Maps-API#comment414295 2009-03-10T08:36:10Z <p>j'utilise spip 2.0.4<br class="autobr" /> googlemap api 0.2 en developpement<br class="autobr" /> et gis 0.2 [27147] en developpement</p> Plugin Google Maps API 2009-03-09T23:08:46Z https://files.spip.org/Plugin-Google-Maps-API#comment414284 2009-03-09T23:08:46Z <p>Cela ne va pas être facile de t'aider sans plus d'information...</p> <p>Quelle est l'adresse du site ?</p> <p>Le plugin est-il bien à jour ?</p> <p>++</p> Plugin Google Maps API 2009-03-09T15:14:54Z https://files.spip.org/Plugin-Google-Maps-API#comment414271 2009-03-09T15:14:54Z <p>bonjour à tous</p> <p>'jai un problème avec ma clé<br class="autobr" /> cela me dit : <br class="autobr" /> “la clé google maps API utilisée sur ce site web a été enregistrée pour un autre site”</p> <p>je pige pas trop là<br class="autobr" /> j'ai redemandé une autre clé et c'est toujours le meme problème</p> <p>mon code pour l'affichage<br class="autobr" /> [(#MODELE<i>carte_gis</i><i>id_article</i><i>id_rubrique=2</i><i>id_mot</i><i>id_auteur</i><br class="autobr" /> <i>recherche</i><i>latit</i><i>lonxit</i><i>zoom=12</i>)]</p> <p>merci beaucoup pour votre aide</p> Plugin Google Maps API + IE 2009-03-01T18:31:51Z https://files.spip.org/Plugin-Google-Maps-API#comment413965 2009-03-01T18:31:51Z <blockquote class="spip"> <p>impossible de sélectionner définitivement “version stable”</p> </blockquote> <p>En fait la version stable était bien sélectionnée mais la page de config n'affichait pas la bonne information, c'est corrigé :</p> <p><a href="http://trac.rezo.net/trac/spip-zone/changeset/26981/_plugins_/_dev_/googlemap_api/fonds" class="spip_url spip_out auto" rel="nofollow external">http://trac.rezo.net/trac/spip-zone/changeset/26981/_plugins_/_dev_/googlemap_api/fonds</a></p> <p>++</p> Plugin Google Maps API + IE 2009-03-01T16:39:53Z https://files.spip.org/Plugin-Google-Maps-API#comment413961 2009-03-01T16:39:53Z <p>Après installation de SPIP 2.0.5 et dernière version de SARKA-SPIP, IE7 et firefox ne fonctionnent plus, pour IE6 c'est bon.</p> <p>dans firefox erreurs:</p> <p>GControl is not defined</p> <p>GBrowserIsCompatible is not defined</p> <p>si je désactive les contrôles personnalisés, cela remarche pour IE7 et firefox mais plus pour IE6</p> Plugin Google Maps API + IE 2009-03-01T14:16:31Z https://files.spip.org/Plugin-Google-Maps-API#comment413955 2009-03-01T14:16:31Z <p>Après avoir installé la toute dernière version du plugin, je n'ai vu aucun changement: pas d'affichage dans IE7, impossible de sélectionner définitivement “version stable”, j'ai donc choisi “version autre” avec la version 2.S. Quand j'ai voulu ouvrir dans l'espace privé, la rubrique, les articles cartes puis la config cfg du plugin, s'est ouvert un message pop_up d'erreur disant que “IE ne peut ouvrir cette page” . Le problème ne se produisant pas sous firefox, je suis revenu à “version stable” puis j'ai fini sans trop savoir comment à parvenir à afficher une carte sous IE7, après différents tests il me semble que les cartes ne s'affichent pas si les zones latitude et longitude ne contiennent pas un chiffre décimal dont le séparateur est un point.<br class="autobr" /> Par exemple problème avec 0 et 0,0 mais affichage avec 0.0</p> <p><a href="http://afatcg.free.fr/spip/spip.php?article114" class="spip_url spip_out auto" rel="nofollow external">http://afatcg.free.fr/spip/spip.php?article114</a></p> <p>Ensuite j'ai eu d'autres problèmes postés côté GIS</p> Plugin Google Maps API 2009-02-27T06:31:35Z https://files.spip.org/Plugin-Google-Maps-API#comment413881 2009-02-27T06:31:35Z <p>Bonjour,</p> <p>même problème que celui décrit par François avec dernière version du plugin:</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code><revision>26681</revision> <commit>2009-02-16 16:28:17 +0100 (Mon, 16 Feb 2009)</commit> gis: <revision>26704</revision> <commit>2009-02-17 15:21:28 +0100 (Tue, 17 Feb 2009)</commit> spip: SPIP 2.0.3 [13596] </code></pre></div> Plugin Google Maps API 2009-02-24T11:31:37Z https://files.spip.org/Plugin-Google-Maps-API#comment413772 2009-02-24T11:31:37Z <p>Bonjour,</p> <blockquote class="spip"> <p> Or qaund je clique sur cette case il se met automatiquement sur “Other Verison”.</p> </blockquote> <p>Le problème que tu décris ne se produit pas chez moi et le code du plugin ne semble pas pouvoir générer ce comportement :</p> <p><a href="http://trac.rezo.net/trac/spip-zone/browser/_plugins_/_dev_/googlemap_api/fonds/cfg_geomap.html#L117" class="spip_url spip_out auto" rel="nofollow external">http://trac.rezo.net/trac/spip-zone/browser/_plugins_/_dev_/googlemap_api/fonds/cfg_geomap.html#L117</a></p> <p>Es-tu certain d'avoir bien téléchargé la dernière version du plugin ? Tente encore une mise à jour cela ne peut pas faire de mal ;)</p> <p>ps : quelle version de SPIP utilises-tu ?</p> <p>Bon courage ++</p> Plugin Google Maps API 2009-02-24T11:11:37Z https://files.spip.org/Plugin-Google-Maps-API#comment413771 2009-02-24T11:11:37Z <p>Bonjour,</p> <p>j'ai mis à jour les plugins et tout est à peu près rentré dans l'ordre. A peu près car IE7 refuse d'afficher les pages sur le front office (elle reste désespérement grise).</p> <p>J'ai constaté en suivant le forum qu'il fallait cocher la case “Stable Version” dans la gestion de l'API. Or qaund je clique sur cette case il se met automatiquement sur “Other Verison”. Je voulais savoir si c'était un comportmeent normal ou un bug. Seul la case à cocher “Current version” semble avoir un comportement normal.</p> <p>Merci de me dire si ce comportement est normal :)</p> Plugin Google Maps API 2009-02-17T23:18:43Z https://files.spip.org/Plugin-Google-Maps-API#comment413533 2009-02-17T23:18:43Z <p>Bonjour,</p> <blockquote class="spip"> <p>Fatal error : Call to undefined function : bouton_block_depliable() in parte_privada.php on line 68</p> </blockquote> <p>J'ai corrigé ce bug dans l'après midi, une mise à jour du plugin devrait régler ton problème.</p> <p>++</p> Plugin Google Maps API 2009-02-17T22:59:28Z https://files.spip.org/Plugin-Google-Maps-API#comment413532 2009-02-17T22:59:28Z <p>Bonjour, <br class="autobr" /> j'ai installé les derniers plugins....<br class="autobr" /> (avec spip 2) Impossible d'afficher les cartes sous IE (Erreur : objet attendu).</p> <p>sous firefox : aucun soucis !</p> <p>pour voir l'erreur : (IE) <a href="http://saintcast.grognards-dbdm.fr/" class="spip_url spip_out auto" rel="nofollow external">http://saintcast.grognards-dbdm.fr/</a></p> <p>comment faire fonctionner GIS sous IE malgré cette erreur ?</p> <p>merci à vous.</p> Plugin Google Maps API 2009-02-16T14:43:34Z https://files.spip.org/Plugin-Google-Maps-API#comment413464 2009-02-16T14:43:34Z <p>Bonjour,<br class="autobr" /> Suite à la disparition de mes marqueurs sur mes cartes publiques, j'ai mis à jour les 2 plugins Google Map API et GIS sur une version spip 1.9.2e, mais depuis j'ai un message d'erreur :<br class="autobr" /> “Fatal error: Call to undefined function: bouton_block_depliable() in parte_privada.php on line 68” à la fin de mes rubriques/articles où le plugin GIS devrait apparaitre dans la partie privée... <br class="autobr" /> De plus, dans la partie publique j'ai un message du type : “...mabase.spip_gis doesn't exist ...” lorsque je charge une page qui fait appel au plugin.<br class="autobr" /> Quelqu'un aurait une idée ?<br class="autobr" /> Merci.</p> Plugin Google Maps API 2009-01-27T13:36:15Z https://files.spip.org/Plugin-Google-Maps-API#comment412730 2009-01-27T13:36:15Z <p>en fait sous IE7 j'ai ces deux messages d'erreurs des qu'une carte doit apparaitre sur la page (public, privé, cfg)</p> <p>Line: 30<br class="autobr" /> Character: 1<br class="autobr" /> Code: 0<br class="autobr" /> Error Message: 'GControl' est indéfini.</p> <p>puis</p> <p>Line: 231<br class="autobr" /> Character: 3<br class="autobr" /> Code: 0<br class="autobr" /> Error Message: Objet attendu</p> <p>sous Firefox et googlechrome aucun probleme..</p> Fatal error: undefined function compacte_js 2008-12-19T19:53:00Z https://files.spip.org/Plugin-Google-Maps-API#comment411281 2008-12-19T19:53:00Z <p>Bonjour,</p> <p>Mais l'erreur concerne le fichier “geomap_script_init.php” qui comporte bien un compacte_js...</p> Fatal error: undefined function compacte_js 2008-12-17T14:02:41Z https://files.spip.org/Plugin-Google-Maps-API#comment411210 2008-12-17T14:02:41Z <p>Bonjour,</p> <p>Il n'y a plus de compact_js dans ce fichier :</p> <p><a href="http://trac.rezo.net/trac/spip-zone/browser/_plugins_/_dev_/googlemap_api/inc/geomap_public_script_init.php" class="spip_url spip_out auto" rel="nofollow external">http://trac.rezo.net/trac/spip-zone/browser/_plugins_/_dev_/googlemap_api/inc/geomap_public_script_init.php</a></p> <p>Une mise à jour du plugin devrait corriger le problème.</p> <p>++</p> Fatal error: undefined function compacte_js 2008-12-17T13:51:43Z https://files.spip.org/Plugin-Google-Maps-API#comment411209 2008-12-17T13:51:43Z <p>Bonjour,</p> <p>Je constate actuellement l'erreur suivante:</p> <blockquote class="spip"> <p>Fatal error: Call to undefined function compacte_js() in /home/user/xxx/www/monsite/plugins/googlemap_api/inc/geomap_script_init.php on line 21</p> </blockquote> <p>J'utilise SPIP 2.0 et l'erreur ne se produit que lorsque je suis totalement déconnecté de SPIP (cookie de correspondance effacé). D'autre part j'ai installé les dernières versions des Plugins GIS et Googlemap_api. Enfin j'ai vidé le répertoire tmp/, sans succès... Pour être précis, la page public contenant la carte google s'affiche aussitôt après effacement du répertoire tmp/ mais si j'actualise cette page l'erreur revient (le répertoire tmp/ étant à nouveau rempli...)</p> <p>Qu'en pensez-vous ? Le plugin est-il compatible SPIP 2.0 ? Quelqu'un rencontre-t'il ce problème ?</p> plus d'affichage de carte dans l'admin 2008-12-14T16:40:32Z https://files.spip.org/Plugin-Google-Maps-API#comment411091 2008-12-14T16:40:32Z <p>Philou et Ooof, pourriez vous préciser les noms des deux fichiers à modifier pour l'affichage de la carte sous IE.<br class="autobr" /> Merci par avance</p>